#! /bin/bash
version=`sed "s/^tclp__version('\([^']*\)'.*$/\1/" < src/version.pl`
local_dir=tclp-$version
tgz=tclp-$(/bin/arch)-$version.tgz
(cd src; ./filter.sh ./compile.sh)
mkdir $local_dir
tar cf - lib/ISO/*.typ lib/sicstus/*.typ COPYING LGPL CHANGELOG | (cd $local_dir; tar xf -)
(cd src; tar cf - tclp tclp.sh)|(cd $local_dir; tar xf -)
tar cf - $local_dir | gzip -c > $tgz
rm -rf $local_dir
