#! /bin/bash
version=`sed "s/^tclp__version('\([^']*\)'.*$/\1/" < src/version.pl`
local_dir=tclp-$version
tgz=tclp-src-$version.tgz
mkdir $local_dir
tar cf - lib/ISO/*.typ lib/sicstus/*.typ COPYING LGPL CHANGELOG src/*.pl src/*.sh make_bin_distrib.sh make_src_distrib.sh | (cd $local_dir; tar xf -)
#rm -f a.tar
tar cf - $local_dir | gzip -c > $tgz
rm -rf $local_dir
